%def_without Anjutaupdate

Name: anjuta
Version: 1.2.2
Release: alt6

Summary: GNOME IDE for C and C++
Summary(be_BY.UTF-8):	Інтэграванае асяродзьдзе распрацоўкі для GNOME
Summary(ru_RU.UTF-8):	Интегрированая среда разработки для GNOME
Summary(uk_UA.UTF-8):	Інтеґроване середовище розробки для GNOME

Group: Development/GNOME and GTK+
License: GPL
Url: http://anjuta.org/
Packager: Vital Khilko <vk@altlinux.ru>

Source: %name-%version.tar.gz

Patch: %name-1.2.2-alt-icon.patch
Patch1: %name-1.2.2-alt-makefile.patch
Patch100: %name-1.2.2-1-alt-updatesystemtags.patch

Requires: devhelp
Obsoletes: lib%name

# to create menu file.
BuildPreReq: menu-devel
# needed for patch1
BuildPreReq: gnome-common
# Automatically added by buildreq on Thu Jul 15 2004
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig-devel freetype2-devel gcc-c++ glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libncurses-devel libpango-devel libpcre-devel libpopt-devel libstdc++-devel libvte-devel libxml2-devel pkgconfig scrollkeeper zlib-devel

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++.
It has been written for GTK/GNOME, and features a number of advanced
programming facilities. It is basically a GUI interface for the collection
of command line programming utilities and tools available for the GNU system.
These are usually run via a text console, and can be unfriendly to use.

%description -l be_BY.UTF-8
Anjuta -- шматфункцыянальнае інтэграванае асяродзьдзе распрацоўкі (IDE) для C і C++.
Яно напісана для GTK/GNOME і мае шмат адмысловых магчымасьцяў для праграмаваньня.
Фактычна гэта ёсьць графічным інтэрфэйсам да калекцыі уцілітаў ды інструмэнтаў, якія існуюць для GNU-сыстэмаў.

%description -l uk_UA.UTF-8
Anjuta -- багатофункціональне інтегроване середовище розробки (IDE) для C та C++.
Воно написане для GTK/GNOME та має багато потужних можливостей для програмування.
Фактично це графічний інтерфейс до колекції утиліт та інструментів, що існіють для GNU-систем.

%description -l ru_RU.UTF-8
Anjuta -- многофункциональная интегрированая среда разработки (IDE) для C и C++.
Она написана для GTK/GNOME и имеет много специальных возможностей для программирования.
Фактически это графический интерфейс для колекции утилит и инструментов, которые существуют для GNU-систем.

%prep
%setup -q -n %name-%version
%patch -p1
%patch1 -p1
%patch100 -p1

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c
%__autoconf

%configure \
    --disable-static \
    --enable-final

# SMP-incompatible build
%make

%install
%makeinstall

# Anjuta-update
%__install -m755 global-tags/create_global_tags.sh %buildroot%_libdir/%name/anjuta_updatetags
%__install -m755 global-tags/tm_global_tags %buildroot%_libdir/%name/tm_global_tags

%if_with Anjutaupdate
%__cat << __SCRIPT__ >Anjuta-update
#!/bin/sh
gksu %_libdir/%name/anjuta_updatetags && \
Xdialog  --title "INFO BOX" \
--infobox "System tags successfully updated." 0 0 10000 || Xdialog  \
--title "INFO BOX" --infobox "Unable to update system tags." 0 0 10000
__SCRIPT__

%__install -m755 Anjuta-update %buildroot%_bindir/Anjuta-update
%endif

# menus
%__mkdir_p %buildroot%_menudir

%if_with Anjutaupdate
%__cat <<__MENU__ > %buildroot%_menudir/%name-common
?package(%name): needs="x11" section="Applications/Development/Development environments" \
title="Anjuta" \
longtitle="GNOME IDE for C and C++" \
icon="/usr/share/pixmaps/anjuta/applogo.png"
__MENU__

freedesktop2menu.pl %name "Applications/Development/Development environments/Anjuta" \
    %buildroot/%_datadir/applications/anjutasystags.desktop \
    %buildroot%_menudir/anjuta-update

%endif

freedesktop2menu.pl %name "Applications/Development/Development environments/Anjuta" \
    %buildroot/%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name
	

# create directory for *.tags
%__mkdir_p %buildroot%_var/cache/anjuta

%if_without Anjutaupdate
%__rm -f %buildroot%_datadir/applications/anjutasystags.desktop
%endif

# remove none-packaged files
%__rm -f %buildroot%_libdir/%name/*.la
%__rm -f %buildroot%_datadir/%name/*.tags
%__rm -rf %buildroot%_var/lib
%__rm -rf %buildroot%_datadir/doc/%name

%find_lang --with-gnome %name

%post
%update_scrollkeeper
%update_menus
%_libdir/%name/anjuta_updatetags

%postun
%clean_scrollkeeper
%clean_menus
if [ $1 = 0 ]; then
%__rm -rf %_var/cache/anjuta
fi

%files -f %name.lang
%_bindir/*
%_libdir/%name
%_datadir/%name
%_datadir/applications/*
%_datadir/pixmaps/*
%_datadir/mime-info/*
%_datadir/mimelnk/application/*
%_man1dir/*
%_menudir/*
%dir %_var/cache/anjuta
%doc AUTHORS ChangeLog FUTURE NEWS README TODO
%doc doc/ScintillaDoc.html

%changelog
* Thu Sep 02 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt6
- added requires for devhelp
- temporary removeded Anjutasystags script and menu item

* Fri Jul 23 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt5
- added icon for Anjuta submenu
- move anjuta_updatetags, tm_globals_tags to /usr/lib/anjuta
- remove /var/cache/anjuta only when package removed (not upgraded)

* Thu Jul 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt4
- apply --disable-static to configure.
- do not list /usr/share/locale, /usr/share/omf/* and 
  /usr/share/gnome/help/* in %files (find-lang --with-gnome 
  treat these directories to find language specific files).
- use freedesktop2menu.pl to create menu file.
  Remove unusual icons from src.rpm
- remove unusual requires.
- updated buildreqs.
- other minor fixes, cleanups and .spec optimizatiions.
- fix #4766 (patch1)

* Thu May 20 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt3
- minor fixes

* Wed Apr 28 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt2
- fixed #3944

* Thu Apr 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt1
- new version
- added menu entry

* Mon Feb 16 2004 Vital Khilko <vk@altlinux.ru> 1.2.1-alt1
- new version
- added ru, be, uk package description

* Sat Apr 12 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt2
- Added libanjuta obsoletes
- added icon in menu entry

* Mon Mar 31 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt1
- New version

* Tue Jan 21 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.9-alt2
- made rebuildable

* Tue Dec 18 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.8-alt1
- 0.1.8

* Thu Sep  6 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.7-alt1
- 0.1.7

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt2
- Update URLs

* Mon Jul  9 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt1
- 0.1.5

* Thu Jun 14 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Sat Jan 20 2001 AEN <aen@logic.ru>
- RE adaptation
- 1.1.2

* Thu Jan  4 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- new url

* Thu Nov  2 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs

